// File records

// forces in N
// moments in Nmm (positive if counterclockwise)
/*---------------------------------------------------------------------------------------------------
1                         unsigned long            node_num (the number of nodes)
1                         unsigned long            nlcase   (the number of load cases)
nlcase * 6 * node_num     double                   reactions for all cases (all nodes case 1, then 
                                                   all nodes case 2, ...) 
----------------------------------------------------------------------------------------------------



Example


to read Y moment of node "num"  for load case lcase:

unsigned long offset = 2 * sizeof(unsigned long) + 
							  (lcase -1) * 6 * node_num * sizeof(double) +
							  (num-1) * 6 * sizeof(double) + 
							  4 * sizeof(double);  // tx, ty, tz, rx are skipped

FILE *fp;
// get fp to RDB
fseek(fp, offset, SEEK_SET);
fread(&rmomy, sizeof(double), 1, fp);

Another example:

Reads all six reactions into buffer (tx, ty, tz, rx, ry, rz)

int get_react(DWORD node, DWORD load_case, double *buffer)
{
   long long location;

	// get file_pt as FILE pointer to RDB

	location = 2 * sizeof(unsigned long) +
		        node_num * 6UL * (load_case-1) * sizeof(double) +
				  6UL * (node -1) * sizeof(double);
   if(_fseeki64(file_pt, location, SEEK_SET)) return 1;
   if(fread(buffer, sizeof(double), 6, file_pt) != 6) return 1;

   return(0);
}

*/
